$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/789/SoftwareIdeasModelerSetup32-11-94.exe'
$url64      = 'https://www.softwareideas.net/Download/File/790/SoftwareIdeasModelerSetup64-11-94.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = 'ce31582ea636da4b21a3cf84dedcee185e26b661ce96aac58c92520fb76da220'
  checksumType  = 'sha256'
  checksum64    = '505b04d85f39049ce461e9dc90c3cfcafb5c176af24c52b3c6f55f6b6fa32799'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
